import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Takes enjoyment in shutting down computers
 * 
 * Never understood this myself, but power buttons
 * will be power buttons.
 * 
 * @author Tris10 Nolt 
 * @version 1.0
 */
public class Power extends Actor
{
    private int speed = Greenfoot.getRandomNumber(5);
    private int count = 0;
    private int imageNumber = 1;
    
    /**
     * Wait I see a computer over there!
     * Lets do what we do best.
     */
    public void act() 
    {
        Move();
        Gif();
    }  
    
    /**
     * We like shutting down computers, so this is how we move.
     * 
     * This could be in the act method, but we like
     * talking to you.
     */
    public void Move()
    {
        setLocation(getX()-speed,getY());
        if(isAtEdge())
        {
            getWorld().removeObject(this);
            
        }
    }
    
    /**
     * Color changing is the best!
     */
    public void Gif()
    {
        if (count % 20 == 0)
        {
            imageNumber++;
        }
        if (imageNumber == 4)
        {
            imageNumber = 1;
        }
        setImage("power" + imageNumber + ".png");
        count++;
    }
}
